
Figure - Bug #112132
测试 Test-IT # 110961 (New): V2.0功能测试

测试 Test-IT # 111056 (New): AF-V2.0-Launcher/SystemUI----Setting

【AF】【EVT】【设置】系统-日期与时间-时区-时区-点击具体时区，闪退回主界面
2022-09-26 13:48 - CD TEST-方永红

Status: CLOSED Start date: 2022-09-26

Priority: High Due date: 2022-09-29

Assignee: CD TEST-方永红 % Done: 100%

Category: CD-FW Estimated time: 0.00 hour

Target version: VX1_MCE_FSE_V2.0_20220930

Need_Info: -- Found Version: FlatBuild_VX1_MCE_xx.xx_FSE.D.userdebug.0.0.0.20220924.alpha

Resolution: FIXED Degrated: No

Severity: Normal Verified Version: FlatBuild_VX1_MCE_xx.xx_FSE.R.userdebug.0.0.0.20220928.alpha_0022

Reproducibility: Every time Fixed Version: 2022-09-27

Test Type: IT Root cause: 编码问题

Description

【前提条件】

设备已开机

【测试步骤】

1、进入设置 系统-日期与时间-时区

2、点击时区

【预期结果】

2、可以选择具体时区

【实际结果】

2、点击具体时区后之后，闪退回主界面

【复现率】

必现

History

#1 - 2022-09-26 16:40 - CD TEST-方永红

- Found Version changed from FlatBuild_VX1_MCE_xx.xx_FSE.R.user.0.0.0.20220924.alpha_0019 to

FlatBuild_VX1_MCE_xx.xx_FSE.D.userdebug.0.0.0.20220924.alpha

#2 - 2022-09-27 10:23 - CD FW-程天颖

- Assignee changed from CD FW-程天颖 to CD AF-陈羽杰

#3 - 2022-09-27 10:30 - CD TEST-方永红

- Priority changed from Normal to High

#4 - 2022-09-27 19:35 - CD AF-陈羽杰

- Status changed from New to ASSIGNED

#5 - 2022-09-27 19:56 - CD AF-陈羽杰

- Status changed from ASSIGNED to RESOLVED

- Assignee changed from CD AF-陈羽杰 to CD TEST-方永红

- % Done changed from 0 to 100

- Resolution changed from -- to FIXED

2025-07-04 1/2



- Degrated changed from -- to No

- Fixed Version set to 2022-09-27

- Root cause set to 编码问题

■ Current conclusion

问题已经通过代码修复

■ My analysis

由于双屏显示，与原生逻辑冲突，导致原生fragment关闭掉了宿主Activity。

■Submit URL

https://dev.thundercomm.com/gerrit/c/general/platform/packages/apps/Settings/+/152209

#6 - 2022-09-28 14:19 - CD TEST-方永红

- Status changed from RESOLVED to VERIFIED

- Verified Version set to FlatBuild_VX1_MCE_xx.xx_FSE.R.userdebug.0.0.0.20220928.alpha_0022

#7 - 2022-09-28 14:19 - CD TEST-方永红

- Status changed from VERIFIED to CLOSED

#8 - 2022-12-22 20:38 - CD FW-王伟

Gerrit Merge Information：

ID Project Branch Uploader

152209 general/platform/packages/apps/Settin

gs

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

yujie.chen@thundersoft.com

AF:Settings: Fix TimeZone Bug1.Click the specific time zone to flash back to the main interfaceTC-RID: 1201-0201809IssueID: TS-R-BUG-112132Change-Id:

I1829cc26b5e3e4cc16330febd079de8e68552d96

Files

时区-时区.log 10.2 KB 2022-09-26 CD TEST-方永红
https://dev.thundercomm.com/gerrit/c/general/platform/packages/apps/Settings/+/152209

